Skip to main content
GET
/
api
/
v1
/
pipelines
/
executions
/
{execution_id}
Get Pipeline Execution
import requests

url = "https://www.datalab.to/api/v1/pipelines/executions/{execution_id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "execution_id": "<string>",
  "pipeline_id": "<string>",
  "pipeline_version": 123,
  "status": "<string>",
  "steps": [
    {
      "step_index": 123,
      "step_type": "<string>",
      "status": "<string>",
      "lookup_key": "<string>",
      "result_url": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "finished_at": "2023-11-07T05:31:56Z",
      "error_message": "<string>",
      "source_step_type": "<string>",
      "checkpoint_id": "<string>"
    }
  ],
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "created": "2023-11-07T05:31:56Z",
  "config_snapshot": {},
  "input_config": {},
  "rate_breakdown": {}
}

Authorizations

X-API-Key
string
header
required

Path Parameters

execution_id
string
required

Cookies

wos-session
string
datalab_active_team
string

Response

Successful Response

execution_id
string
required
pipeline_id
string
required
pipeline_version
integer
required
status
string
required
steps
PipelineExecutionStepResponse · object[]
required
started_at
string<date-time> | null
completed_at
string<date-time> | null
created
string<date-time> | null
config_snapshot
Config Snapshot · object
input_config
Input Config · object
rate_breakdown
Rate Breakdown · object